QETHARP(8)

NAME
qetharp - querying and modifying ARP data.

SYNOPSIS

qetharp
    [-hv]
    [-[c|n][6]q interface]
    [-p interface]
    [-a interface -i IP_address -m MAC_address]
    [-d interface -i IP_address]

DESCRIPTION
qetharp queries ARP data, such as MAC and IP addresses, from an OSA hardware ARP cache or a HiperSockets ARP cache. For OSA hardware, qetharp can also modify the cache. The command applies only to devices in layer3 mode. It supports IPv6 for HiperSockets only.

OPTIONS

-q or --query interface
    shows the ARP information about the specified network interface. Depending on the device that the interface has been assigned to, this information is obtained from an OSA feature's ARP cache or a HiperSockets ARP cache. The default command output shows symbolic host names and only includes numerical address for host names that cannot be resolved. Use the -n option to show numerical addresses instead of host names. By default, qetharp omits IPv6 related information. Use the -6 option to include IPv6 information for HiperSockets.

-n or --numeric
    shows numerical addresses instead of trying to resolve the addresses to the symbolic host names. This option can only be used with the -q option.

-c or --compact
    limits the output to numerical addresses only. This option can only be used with the -q option.

-6 or --ipv6
    includes IPv6 information for HiperSockets. For real HiperSockets, shows the IPv6 addresses. For guest LAN HiperSockets, shows the IPv6 to MAC address mappings. This option can only be used with the -q option.

-p or --purge interface
    flushes the ARP cache of the OSA. The cache contains dynamic ARP entries, which the OSA adapter creates through ARP queries. After flushing the cache, the OSA adapter creates new dynamic entries. This option only works with OSA devices.

-a or --add interface
    adds a static ARP entry to the OSA adapter card. This option requires an IP address and a MAC address (-i and -m options).

-d or --delete interface
    deletes a static ARP entry from the OSA adapter card. This command requires an IP address (-i option).

-i or --ip IP_address
    specifies an IP address to be added to or removed from the OSA adapter card. -m or --mac MAC_address specifies a MAC address to be added to the OSA adapter card.

-v or --version
    shows version information.

-h or --help
    shows usage information for qetharp.

RETURN CODES
qetharp writes the response to stdout and any error message to stderr. The command completes with one of the following return codes:

0   The qetharp command ran successfully.

1   An error occurred.

EXAMPLE

qetharp -q eth0
    shows all ARP entries of OSA.

qetharp -nq eth0
    shows all ARP entries of OSA without resolving host names.

qetharp -6q hsi0
    shows all ARP entries of the HiperSockets interface including IPv6 entries.

qetharp -n6q hsi0
    shows all ARP entries of the HiperSockets interface including IPv6 entries without resolving host names.

qetharp -p eth0
    flushes the OSA ARP cache for eth0.

qetharp -a eth0 -i 1.2.3.4 -m aa:bb:cc:dd:ee:ff
    adds a static ARP entry for the IP address 1.2.3.4 to the OSA ARP cache, using a MAC address of aa:bb:cc:dd:ee:ff

qetharp -d eth0 -i 1.2.3.4
    deletes the static ARP entry for the IP address 1.2.3.4 from the OSA ARP cache.

AUTHOR
This man-page was written by Frank Pavlic <pavlic@de.ibm.com>